- 2023-04-14
  - Renamed release from 3.17 to 3.18.
- 2023-06-06
  - Renamed release from 3.18 to 3.19.
- 2023-08-17
  - Defined scope.
  - Published internal release announcement.
  - Created release notes draft.
- 2023-08-24
  - Received notification that testing has finished.
  - Created MR for downloads repo.
  - Published to CWS.
  - Published to Microsoft store.
  - Updated extension source code URL and build instructions in Opera store.
  - Published to Opera store.
  - Noticed that release is live on CWS.
- 2023-08-25
  - Noticed that release is live on Microsoft store.
- 2023-08-28
  - Noticed that release is live on Opera store.
